# Generated by Django 3.0.8 on 2020-11-08 10:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('patient_registration', '0012_auto_20200907_0801'),
        ('general_report', '0010_auto_20200907_0801'),
        ('cap_report', '0007_auto_20200921_2000'),
    ]

    operations = [
        migrations.CreateModel(
            name='ImageUpload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('specimen_image', models.ImageField(upload_to='images/%Y/%m/%d')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('acc_no', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='general_report.StartDiagnosis')),
                ('patient_id', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
            ],
            options={
                'db_table': 'report_images',
            },
        ),
    ]
